libsquashfs: sqfs_block_processor_stats_t Struct Reference

libsquashfs 1.3.2 A new set of tools and libraries for working with SquashFS images

Loading...
Searching...
No Matches
sqfs_block_processor_stats_t Struct Reference

Used to store runtime statistics about the sqfs_block_processor_t. More...

`#include <block_processor.h>`

Collaboration diagram for sqfs_block_processor_stats_t:

## Data Fields
size_t | size
| Holds the size of the structure.
sqfs_u64 | input_bytes_read
| Total number of bytes fed into the front end API.
sqfs_u64 | output_bytes_generated
| Total number of bytes sent down to the block processor.
sqfs_u64 | data_block_count
| Total number of data blocks produced.
sqfs_u64 | frag_block_count
| Total number of fragment blocks produced.
sqfs_u64 | sparse_block_count
| Total number of sparse blocks encountered.
sqfs_u64 | total_frag_count
| Total number of tail-end fragments produced.
sqfs_u64 | actual_frag_count
| Total number of tail-end fragments actually stored in fragment blocks.

## Detailed Description

Used to store runtime statistics about the sqfs_block_processor_t.

Definition at line 56 of file block_processor.h.

## Field Documentation

## ◆ actual_frag_count

sqfs_u64 actual_frag_count

Total number of tail-end fragments actually stored in fragment blocks.

This number does not include the fragments that have been eliminated by deduplication.

Definition at line 110 of file block_processor.h.

## ◆ data_block_count

sqfs_u64 data_block_count

Total number of data blocks produced.

Definition at line 83 of file block_processor.h.

## ◆ frag_block_count

sqfs_u64 frag_block_count

Total number of fragment blocks produced.

Definition at line 88 of file block_processor.h.

## ◆ input_bytes_read

sqfs_u64 input_bytes_read

Total number of bytes fed into the front end API.

Definition at line 69 of file block_processor.h.

## ◆ output_bytes_generated

sqfs_u64 output_bytes_generated

Total number of bytes sent down to the block processor.

This is the sum of generated, compressed blocks, including blocks that were possibly deduplicated by the block writer and not counting padding that the block writer may have added.

Definition at line 78 of file block_processor.h.

## ◆ size

size_t size

Holds the size of the structure.

If a later version of libsquashfs expands this structure, the value of this field can be used to check at runtime whether the newer fields are avaialable or not.

Definition at line 64 of file block_processor.h.

## ◆ sparse_block_count

sqfs_u64 sparse_block_count

Total number of sparse blocks encountered.

Definition at line 93 of file block_processor.h.

## ◆ total_frag_count

sqfs_u64 total_frag_count

Total number of tail-end fragments produced.

This number also includes the fragments that have later been eliminated by deduplication.

Definition at line 101 of file block_processor.h.

The documentation for this struct was generated from the following file:

- include/sqfs/block_processor.h